Bug 457205 - X is hell slow if sisfb module is not loaded for sis x.org driver to use
X is hell slow if sisfb module is not loaded for sis x.org driver to use
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 04:57 EDT by Diego Escalante Urrelo
Modified: 2009-01-09 01:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:42:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego Escalante Urrelo 2008-07-30 04:57:58 EDT
Description of problem:
Cards using sis driver have awfully slow X. This is because vesafb and vga16fb
drivers prevent sisfb from being loaded, hence the X driver has no access to
better video memory management.

Version-Release number of selected component (if applicable):
Last reproduced in Fedora 8

How reproducible:
Just install Fedora 5+ (iirc) in a video card that uses the sis driver and
-probably- needs the sisfb memory interface.

This can be fixed by blacklisting vesafb and vga16fb, and loading sisfb before
X. I made a human readable summary in my blog:
http://blogs.gnome.org/diegoe/2008/04/14/slow-x-rendering-with-sis-driver/
You can see more nasty details in the launchpad bug:
https://launchpad.net/bugs/26637

As mentioned there, this can't be fixed in Fedora unless you rebuild your kernel
because vesafb and vga16fb (honestly I don't recall which one) are/is not built
as modules like in Debian based systems, it's built-in.
The fix is just to make it a module and also build sisfb as a module.

In the worst case, if this doesn't sound that important, then please build sisfb
as a module (it's not loaded automatically ever, at least here on years using
debian/ubuntu/others) and make vga16fb (i think that's the one) a module too.

One more thing, as mentioned in the blog and the bug if you check for the
"benchmark" recorded by X on its log you'll see how having or not sisfb loaded
makes a difference.

That's all folks!
Comment 1 Bug Zapper 2008-11-26 06:03:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:42:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.